<?php
// konekcijas piesaiste
include('connection.php');

// pārbvauda vai profila ID ir saņemts
if (isset($_POST['profile_id'])) {
    $profile_id = $conn->real_escape_string($_POST['profile_id']); //piešķir profila ID mainigajam

    // iegūst kontus kas reģistrēti konkrētajam profila ID
    $sql = "SELECT account_name FROM rr_410_accounts WHERE profile_id = '$profile_id'";
    $result = $conn->query($sql);

    $objects = array(); //izveido masīvu kontu sarakstam
    
    //saglabā kontus masīvā
    if ($result->num_rows > 0) {
        while ($row = $result->fetch_assoc()) {
            $objects[] = $row['account_name'];//piešķir masīvam
        }
    }
    
    // atgriež to atpakaļ kā JSON
    echo json_encode($objects);
    error_log(json_encode($objects));
    // aizvert konekciju
    $conn->close();
}
?>
